Skip to main content
FedNow simulations allow developers to simulate specific events with FedNow payments. It is possible to simulate both the sending and receiving of funds via this channel. The failed and succeed simulations represent outcomes for a FedNow Send payment, where funds attempt to move from your ledger to a third party. The received simulation represents an outcome for a FedNow Receive payment, where funds from a third party are being received on your ledger.

FedNow Simulation Types

Simulate a successful or failed FedNow payment

Initiate a fednow.failed or fednow.succeed simulation event.

FedNow successful or failed simulation request body

Simulation Sub-Object
Response
No response body is returned. A 202 HTTP status indicates a successful simulation.

Verifying a Successful Simulation

To ensure that the simulation was run successfully, call the GET /fednow/:id endpoint to confirm that the status of the status of the payment has been updated accordingly. If you simulated a successful payment then you should also see transactions on the associated account as well as balance changes.

Simulate an incoming FedNow payment

Initiate a fednow.received simulation event.

FedNow Received simulation request body

Simulation Sub-Object
Response
No response body is returned. A 202 HTTP status indicates a successful simulation.

Verifying a Successful Simulation

To ensure that the simulation was run successfully, call the GET /fednow endpoint to retrieve FedNow payments. There will be a new FedNow payment record there for the amount/account/direction specified in the simulation. The destination account specified will also have new transactions as well as it’s balance updated accordingly.